Skip to main content
GET
Deliveries booked against an order.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
purchase_order_id
string
purchase_order_number
string
vendor_id
string
vendor_name
string
receipt_number
string
received_at
string
received_by_user_id
string
received_by
string
warehouse_id
string
warehouse_name
string
delivery_note_number
string
carrier
string
waybill_number
string
notes
string
line_count
string
quantity_received
string
quantity_rejected
string
created_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

carrier
string<character varying>
Maximum string length: 120
created_at
string<timestamp with time zone>
delivery_note_number
string<character varying>
Maximum string length: 120
id
string<uuid>

Note: This is a Primary Key.

line_count
integer<bigint>
notes
string<text>
purchase_order_id
string<uuid>

Note: This is a Foreign Key to open_purchase_orders.purchase_order_id.

purchase_order_number
string<character varying>
Maximum string length: 60
quantity_received
number<numeric>
quantity_rejected
number<numeric>
receipt_number
string<character varying>
Maximum string length: 60
received_at
string<timestamp with time zone>
received_by
string<character varying>
Maximum string length: 200
received_by_user_id
string<uuid>

Note: This is a Foreign Key to my_profile.user_id.

vendor_id
string<uuid>

Note: This is a Foreign Key to vendor_directory.vendor_id.

vendor_name
string<character varying>
Maximum string length: 200
warehouse_id
string<uuid>

Note: This is a Foreign Key to warehouse_settings.id.

warehouse_name
string<character varying>
Maximum string length: 200
waybill_number
string<character varying>
Maximum string length: 120